XProtect – Mac’ens indbyggede beskyttelse blokerer Java..

Apple opdaterede det indbyggede beskyttelsesprogram – XProtect – den 31. januar. Dette skete for at beskytte brugere mod de mange huller, der fortsat opdages i Java. Apple tilføjede

<key>MinimumPlugInBundleVersion</key>
<string>1.7.11.22</string>

…til Xprotect.meta.plist, hvilket medførte, at Java blev blokeret, hvis du ikke havde Java version 7.11 installeret. Jeg ved ikke, hvor mange mennesker der pludselig fandt, at deres Java ikke virkede (i Safari), men mon ikke de fleste ville have sat pris på en lille information fra Apple. Det er ikke godt at vide, hvor mange, der spildte timer på at få deres Java til at virke…

Problemet var samtidigt, at man ikke kunne downloade andet end Java 7.10 – altså en version, der blev/bliver blokeret af Safari.
Jeg bruger selv Firefox uden Java aktiveret – og skifter så til Safari når Java skal bruges (netbank, borgerservice osv.). I dette tilfælde sloges jeg lidt med Safari uden at finde problemet, hvorefter jeg i en kort periode aktiverede Java i Firefox. Senere kunne jeg så læse forklaringen, men informationen kom ikke fra Apple…